> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Static Video

> Generate and stream a static video file from a given audio sample



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml post /static/audio
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /static/audio:
    post:
      summary: Generate Static Video
      description: Generate and stream a static video file from a given audio sample
      operationId: audioToVideoInterface_static_audio_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AudioToVideoRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                contentMediaType: application/json
                properties:
                  hls_url:
                    type: string
                    example: https://api.simli.ai/hls/path-to-file/output.m3u8
                  mp4_url:
                    type: string
                    example: https://api.simli.ai/mp4/path-to-file/output.mp4
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AudioToVideoRequest:
      properties:
        faceId:
          type: string
          title: Faceid
        audioBase64:
          type: string
          title: Audiobase64
        audioFormat:
          type: string
          enum:
            - pcm16
            - pcm32
            - wav
            - mp3
            - ogg
          title: Audioformat
        audioSampleRate:
          type: integer
          title: Audiosamplerate
          default: 16000
        audioChannelCount:
          type: integer
          title: Audiochannelcount
          default: 1
        videoStartingFrame:
          type: integer
          title: Videostartingframe
          default: 0
      type: object
      required:
        - faceId
        - audioBase64
        - audioFormat
      title: AudioToVideoRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````